Package it.ernytech.tdlib

## Class TdApi.Call

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Call

Enclosing class:
  TdApi

    public static class TdApi.Call
    extends TdApi.Object

Describes a call.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`int` `id` Call identifier, not persistent.
`boolean` `isOutgoing` True, if the call is outgoing.
`TdApi.CallState` `state` Call state.
`int` `userId` Peer user identifier.

### Constructor Summary

Constructors
`Call()` Default constructor.
`Call​(int id, int userId, boolean isOutgoing, TdApi.CallState state)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### id

    public int id

Call identifier, not persistent.

#### userId

    public int userId

Peer user identifier.

#### isOutgoing

    public boolean isOutgoing

True, if the call is outgoing.

#### state

    public TdApi.CallState state

Call state.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### Call

    public Call()

Default constructor.

#### Call

    public Call​(int id,
                int userId,
                boolean isOutgoing,
                TdApi.CallState state)

Constructor for initialization of all fields.

Parameters:
  `id` - Call identifier, not persistent.
  `userId` - Peer user identifier.
  `isOutgoing` - True, if the call is outgoing.
  `state` - Call state.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR